Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Security.Cryptography.AsymmetricAlgorithm Defines a base class from which all Diffie-Hellman implementations inherit. To be added
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  Mono.Security.Cryptography.DiffieHellman Creates an instance of the default implementation of the DiffieHellman algorithm. A new instance of the default implementation of DiffieHellman. To be added 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.Cryptography.DiffieHellman `` The name of the implementation of DiffieHellman to use. Creates an instance of the specified implementation of DiffieHellman. A new instance of the specified implementation of DiffieHellman. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] When overridden in a derived class, creates the key exchange data. The key exchange data to be sent to the intended recipient. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The key exchange data within which the secret information is hidden. When overridden in a derived class, extracts secret information from the key exchange data. The secret information derived from the key exchange data. To be added 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.Cryptography.DHParameters `` True to include private parameters; otherwise, false. When overridden in a derived class, exports the DHParameters. The parameters for Diffie-Hellman. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The XML string to use to reconstruct the DiffieHellman object. Reconstructs a DiffieHellman object from an XML string. A is thrown if one of the values in the XML string is invalid. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The parameters for Diffie-Hellman. When overridden in a derived class, imports the specified DHParameters. To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` True to include private parameters; otherwise, false. Creates and returns an XML string representation of the current DiffieHellman object. An XML string encoding of the current DiffieHellman object. To be added 1.0.5000.0 2.0.0.0